Download it now!
Bug 132254 - When copying a block/rectangle, the pasted lines are in reverse order
Summary: When copying a block/rectangle, the pasted lines are in reverse order
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.5.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Clipboard
  Show dependency treegraph
 
Reported: 2020-04-19 12:25 UTC by Bart
Modified: 2020-06-14 22:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Theatres.odt (11.17 KB, application/vnd.oasis.opendocument.text)
2020-04-19 12:27 UTC, Bart
Details
1-SelectBlock.png (132.26 KB, image/png)
2020-04-19 12:29 UTC, Bart
Details
2-PasteBlock-Result in Windows10 LO-v6-3.png (68.81 KB, image/png)
2020-04-19 12:31 UTC, Bart
Details
2-PasteBlock-Result in Debian10 LO-v7-0.png (161.11 KB, image/png)
2020-04-19 12:33 UTC, Bart
Details
2-PasteBlock-Result in Debian10 LO-v6-1.png (123.66 KB, image/png)
2020-04-19 12:34 UTC, Bart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bart 2020-04-19 12:25:19 UTC
Description:
When copying a block/rectangle from the left side of the page, and pasting it to the right side of the page, the lines in the copied block/rectangle are in reverse order (i.e. the first line from the left side is now the last line at the right side.)

Steps to Reproduce:
1. I have a document with a number of lines. On every line there's a tab at the end. (Attachment "Theatres.odt")
2. I select "Edit -> Selection Mode -> Block Area". I select and copy from the upper-left corner to the lower-right corner. (Attachment "1-SelectBlock.png")
3. Then I paste on the first line just after the tab at the end.

Actual Results:
At the right-side "1st Stage" is not on top, but at the bottom. That's what Linux LibreOffice version 7.0.0.0.alpha0+ and Windows version 6.3.5.2 do.

(Attachments "2-PasteBlock-Result in Windows10 LO-v6-3.png" and "2-PasteBlock-Result in Debian10 LO-v7-0.png")

Expected Results:
At the right-side, "1st Stage" should have been on top, not at the bottom. This works correctly in Linux LibreOffice Version 6.1.5.2 .

(Attachment "2-PasteBlock-Result in Debian10 LO-v6-1.png")


Reproducible: Always


User Profile Reset: No



Additional Info:
When running Linux / Debian 10 :

Version: 6.1.5.2
Build ID: 1:6.1.5-3+deb10u5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group threaded

Version: 7.0.0.0.alpha0+
Build ID: 35feeefef569572f1443446912124247378c3a0e
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

When running Windows 10 :

Version: 6.3.5.2 (x64)
Build ID: dd0751754f11728f69b42ee2af66670068624673
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 1 Bart 2020-04-19 12:27:54 UTC
Created attachment 159712 [details]
Theatres.odt

This is the document that I used to copy and past a block/rectangle. I included it so it's easier to reproduce the results that I had.
Comment 2 Bart 2020-04-19 12:29:10 UTC
Created attachment 159713 [details]
1-SelectBlock.png

This image shows the text that I selected.
Comment 3 Bart 2020-04-19 12:31:29 UTC
Created attachment 159714 [details]
2-PasteBlock-Result in Windows10 LO-v6-3.png

This image shows what I get when I paste the block/rectangle to the right side of the page when running Windows and when using LibreOffice 6.3 .
Comment 4 Bart 2020-04-19 12:33:17 UTC
Created attachment 159715 [details]
2-PasteBlock-Result in Debian10 LO-v7-0.png

This image shows what I get when I paste the block/rectangle to the right side of the page when running Linux / Debian 10 and when using LibreOffice 7.0 .
Comment 5 Bart 2020-04-19 12:34:33 UTC
Created attachment 159716 [details]
2-PasteBlock-Result in Debian10 LO-v6-1.png

This image shows what I get when I paste the block/rectangle to the right side of the page when running Linux / Debian 10 and when using LibreOffice 6.1 .

This is also what I had expected.
Comment 6 Dieter 2020-04-24 16:34:09 UTC
I confirm it with

Version: 7.0.0.0.alpha0+ (x64)Build ID: 8c8b3a4f83f67882b284ddc3b3fe10d3fe6dedf4CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; Locale: de-DE (de_DE); UI-Language: en-GBCalc: CL

You recieve the same result, if you paste text somewhere else in the document or even in a new document.

Works as expected  with

Version: 6.1.6.3 (x64)
Build-ID: 5896ab1714085361c45cf540f76f60673dd96a72
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: group threaded
Comment 7 Attila Baraksó (NISZ) 2020-04-28 18:38:02 UTC
Bibisected using bibisect-win64-6.4 to:
URL:https://cgit.freedesktop.org/libreoffice/core/commit/?id=28b77c89dfcafae82cf2a6d85731b643ff9290e5
author: Michael Stahl <Michael.Stahl@cib.de>
committer: Michael Stahl <Michael.Stahl@cib.de>
summary: tdf#117185 tdf#110442 sw: bring harmony & peace to fly at-char selection

Adding Cc: Michael Stahl
Comment 8 Commit Notification 2020-06-11 07:39:51 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/63a43218c369a43624e6bdbe880b7caa40a3b61a

tdf#132254 sw: fix block selection copy reversed order

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Michael Stahl (CIB) 2020-06-11 07:41:41 UTC
fixed on master
Comment 10 Commit Notification 2020-06-11 11:23:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/09fea8f2752845f57f6db6e6cd221afa53eb62eb

tdf#132254 sw: fix block selection copy reversed order

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-06-11 23:15:37 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/78f1f48839bbeaf3e6af768cfc74c6443336d075

tdf#132254 sw: fix block selection copy reversed order

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Xisco Faulí 2020-06-12 16:00:35 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: ff508f6d8a3e58d29e9e7622006a7103fb0a2849
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 13 Commit Notification 2020-06-14 22:05:54 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-5":

https://git.libreoffice.org/core/commit/ec090def44c5ad9f86356f9f6d8bd058cf932821

tdf#132254 sw: fix block selection copy reversed order

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.